Description
Rationale for Correction:—

TID 1500 requires a Language, Procedure Reported, an empty section (CONTAINER) for the Image Library, and both Tracking—
Identifier and Unique Identifier, all of which complicate the "simplest" example used in Sup 219 (JSON).—

It is proposed to modify TID 1500 to relax these requirements that are not needed for many simple Al/ML use cases for which
the—

information is either not available or unnecessary. E.g., it would be harmless to omit an empty Image Library CONTAINER). and—
Procedure Reported may not be known and will often be a dummy value based on Modality only, and the Language is irrelevant
for—

measurements (though not for code meanings of coded concepts, but could be assumed or just left unstated). The Tracking
Identifier—

and Unique Identifier are not needed when there is only one lesion and no temporal change tracking is needed for the use case.—

(see: ftp://medical.nema.org/medical/dicom/final/cp1998_ft TID1500ptionalityForAlUseCases.pdf)

Related issues:

Related to DCMTK - Conformance #852: Add support for CP-1789 (Allow categoric... Closed 2018-11-13
Has duplicate DCMTK - Conformance #981: Add support for CP-1998: Relax unnece... Closed 2021-04-13
History

#1 - 2021-04-21 09:03 - J6rg Riesmeier

- Has duplicate Conformance #981: Add support for CP-1998: Relax unnecessary TID 1500 requirements to simplify for some Al/ML use cases-added

#2 - 2021-07-07 13:10 - J6rg Riesmeier
- Related to Conformance #852: Add support for CP-1789 (Allow categorical observations without measurements for ROls in TID 1500)-added

#3 - 2021-07-07 18:59 - J6rg Riesmeier
- Estimated time set to 5:00 h

#4 - 2021-07-08 15:57 - J6rg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

Closed by commit a322fea97.
